package com.cf.imes.module.report.enums.template;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报表模板类型
 *
 * @author Gqr
 * @since 2024/7/5 9:25
 */
@Getter
@AllArgsConstructor
public enum ReportTemplateTypeEnum {
    /**
     * 内置
     */
    SYSTEM(0),
    /**
     * 自定义
     */
    CUSTOM(1);

    @EnumValue
    private final Integer type;

    @JsonCreator
    public static ReportTemplateTypeEnum fromType(Integer type) {
        for (ReportTemplateTypeEnum value : values()) {
            if (value.getType().equals(type)) {
                return value;
            }
        }
        return null;
    }
}
